import 'package:flutter/services.dart';
import 'package:gmalpha_flutter/base/app_config.dart';
import 'package:rxdart/rxdart.dart';

const settingChannel = const MethodChannel('flutter.io/setting_channel_method');

class SettingRepo {

  getInstance(){
    return 0;
  }

  Future<bool> quitLogin() async {
    await settingChannel.invokeMethod("quit_login", {"a":"a","a":"a"});
  }

  Future<String> clickCity() async {
    await settingChannel.invokeMethod("clikc_city", null);
  }

  Future<String> clickIns() async {
    await settingChannel.invokeMethod("click_ins", null);
  }

  Future<String> clickArguement() async {
    await settingChannel.invokeMethod("click_arguement", null);
  }


  Observable loadData(String pageNum, String pageSize) {
    Map<String, String> map = new Map();
    map["pageNum"] = pageNum;
    map["pageSize"] = pageSize;
    return ApiDio.getInstance().get("good/list", params: map);
  }

}
